void StartStoryLine()
{
	ref PChar = GetMainCharacter();
	string loadPort = "Hispaniola_port";
// KK -->
	string rldGroup = "reload";
	string rldLocator = "reload2";
	int iNation = 0;
	int loc = FindLocation("Hispaniola_port");
// <-- KK

	sTeleportLocName = "Hispaniola_port";
// KK -->
	TakeNItems(PChar, "blade1", 1);
	TakeNItems(PChar, "pistol1", 1);
	TakeNItems(PChar, "spyglass2", 1);
	TakeNItems(PChar, "medical1", 2); // PB
	TakenItems(Pchar, "gunpowder", 6);
	TakenItems(Pchar, "pistolbullets", 6);

//JRH ammo mod --->
	if(ENABLE_AMMOMOD)
	{
		EquipCharacterbyItem(Pchar, "blade1");
		EquipCharacterbyItem(Pchar, "pistol1");
		EquipCharacterbyItem(Pchar, "Spyglass2");
	}

	string rldLocator_Port = "";
	iNation = sti(PChar.nation);

//================================| BEGINNING QUESTS |================================//
	//Bartolomeu
	PChar.quest.Bartolomeu = "";
	PChar.quest.Bartolomeu.win_condition.l1 = "location";
	PChar.quest.Bartolomeu.win_condition.l1.character = PChar.id;
	PChar.quest.Bartolomeu.win_condition.l1.location = "Hispaniola_port";
	PChar.quest.Bartolomeu.win_condition = "first_step";
	//Bartolomeu
//===============================| QUESTS SECTION END |===============================//

	ReloadProgressUpdate();

// KK -->
	if(GetActualRMRelation(iNation)<=REL_WAR)
	{
		PChar.nation = iNation;
		HoistFlag(iNation);
		SafePortLeave();
	}
// <-- KK

	AllDaysCount = 1;//MAXIMUS: calculates days amount (updating in calendar.c)
	PChar.newGameStart = true;//MAXIMUS: for adding new locators

	LoadMainCharacterInFirstLocation(sTeleportLocName, rldGroup, rldLocator, loadPort); // KK
}
